FENCE_DEFAULT_WAIT(9)

NAME
fence_default_wait - default sleep until the fence gets signaled or until timeout elapses

SYNOPSIS

signed long fence_default_wait(struct fence * fence, bool intr, signed long timeout);

ARGUMENTS

fence
    [in] the fence to wait on

intr
    [in] if true, do an interruptible wait

timeout
    [in] timeout value in jiffies, or MAX_SCHEDULE_TIMEOUT

DESCRIPTION

Returns -ERESTARTSYS if interrupted, 0 if the wait timed out, or the remaining timeout in jiffies on success.

COPYRIGHT